model:
  name: 'resnet50_fc512'
  pretrained: True
  num_train_classes: 314

data:
  type: 'image'
  source: 'whaleshark_cropped'
  height: 256
  width: 256
  transforms: ['center_crop', 'random_affine', 'color_jitter', 'random_grayscale', 'blur']

loss:
  name: 'triplet'
  triplet:
    weight_t: 1.
    weight_x: 1.
  softmax:
    label_smooth: True

sampler:
  num_instances: 4
  num_copies: 4

train:
  optim: 'adam'
  lr: 0.00001
  max_epoch: 200
  batch_size: 96
  fixbase_epoch: 5
  open_layers: ['classifier']
  lr_scheduler: 'single_step'
  stepsize: [1000]

test:
  batch_size: 100
  dist_metric: 'euclidean'
  normalize_feature: False
  evaluate: False
  eval_freq: 10
  rerank: False
